> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.datalab.to/llms.txt
> Use this file to discover all available pages before exploring further.

# List Pipeline Versions

> List all versions of a custom processor, ordered by version descending.



## OpenAPI

````yaml https://www.datalab.to/openapi.json get /api/v1/custom_pipelines/{processor_id}/versions
openapi: 3.1.0
info:
  title: Datalab API
  version: 0.0.1
servers:
  - url: https://www.datalab.to
    description: Datalab API
security: []
paths:
  /api/v1/custom_pipelines/{processor_id}/versions:
    get:
      tags:
        - Custom Pipelines (Deprecated)
      summary: List Pipeline Versions
      description: List all versions of a custom processor, ordered by version descending.
      operationId: >-
        list_pipeline_versions_api_v1_custom_pipelines__processor_id__versions_get
      parameters:
        - name: processor_id
          in: path
          required: true
          schema:
            type: string
            title: Processor Id
        - name: wos-session
          in: cookie
          required: false
          schema:
            type: string
            title: Wos-Session
        - name: datalab_active_team
          in: cookie
          required: false
          schema:
            type: string
            title: Datalab Active Team
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProcessorVersionListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ProcessorVersionListResponse:
      properties:
        versions:
          items:
            $ref: '#/components/schemas/ProcessorVersionItem'
          type: array
          title: Versions
          description: List of processor versions
      type: object
      title: ProcessorVersionListResponse
      description: Response schema for listing processor versions.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProcessorVersionItem:
      properties:
        version:
          type: integer
          title: Version
          description: Version number
        request_description:
          type: string
          title: Request Description
          description: Description used for this version
        created_at:
          type: string
          title: Created At
          description: ISO timestamp when version was created
        runtime:
          anyOf:
            - type: number
            - type: 'null'
          title: Runtime
          description: Execution time in seconds
        is_active:
          type: boolean
          title: Is Active
          description: Whether this is the currently active version
          default: false
      type: object
      required:
        - version
        - request_description
        - created_at
      title: ProcessorVersionItem
      description: Version information for a processor.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````